JUCE: RelativePointPath::CubicTo Class Reference

JUCE

Public Member Functions | Public Attributes | List of all members
RelativePointPath::CubicTo Class Reference
juce_gui_basics » positioning

Class for the cubic to element. More...

`#include <juce_RelativePointPath.h>`

Inheritance diagram for RelativePointPath::CubicTo:

## Public Member Functions
| CubicTo (const RelativePoint &controlPoint1, const RelativePoint &controlPoint2, const RelativePoint &endPoint)
ValueTree | createTree () const
void | addToPath (Path &path, Expression::Scope *) const override
RelativePoint * | getControlPoints (int &numPoints) override
ElementBase * | clone () const override
Public Member Functions inherited from RelativePointPath::ElementBase
| ElementBase (ElementType type)
virtual | ~ElementBase ()=default
virtual void | addToPath (Path &path, Expression::Scope *) const =0
virtual RelativePoint * | getControlPoints (int &numPoints)=0
virtual ElementBase * | clone () const =0
bool | isDynamic ()

## Public Attributes
RelativePoint | controlPoints [3]
Public Attributes inherited from RelativePointPath::ElementBase
const ElementType | type

## Detailed Description

Class for the cubic to element.

## Constructor & Destructor Documentation

## ◆ CubicTo()

RelativePointPath::CubicTo::CubicTo | ( | const RelativePoint & | controlPoint1,
|  | const RelativePoint & | controlPoint2,
|  | const RelativePoint & | endPoint
| ) |  |

## Member Function Documentation

## ◆ createTree()

ValueTree RelativePointPath::CubicTo::createTree | ( |  | ) | const

## ◆ addToPath()

void RelativePointPath::CubicTo::addToPath | ( | Path & | path,
|  | Expression::Scope * |
| ) |  | const
| overridevirtual

Implements RelativePointPath::ElementBase.

## ◆ getControlPoints()

RelativePoint * RelativePointPath::CubicTo::getControlPoints | ( | int & | numPoints | ) |
| overridevirtual

Implements RelativePointPath::ElementBase.

## ◆ clone()

ElementBase * RelativePointPath::CubicTo::clone | ( |  | ) | const
| overridevirtual

Implements RelativePointPath::ElementBase.

## Member Data Documentation

## ◆ controlPoints

RelativePoint RelativePointPath::CubicTo::controlPoints[3]

The documentation for this class was generated from the following file:

- juce_RelativePointPath.h